package com.atguigu.ssyx.search.service;

import com.atguigu.ssyx.model.search.SkuEs;

import java.util.List;

public interface SkuService {
    /**
     * 上架商品
     *
     * @param skuId 商品ID
     */
    void upperSku(Long skuId);

    /**
     * 下架商品
     *
     * @param skuId 商品ID
     */
    void lowerGoods(Long skuId);

    /**
     * * 获取爆品商品
     *
     * @return 查询的商品
     */
    List<SkuEs> findHotSkuList();
}
